Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Anti-virus software
Name: 		clamav
Version: 	0.93.1
Release: 	1
License: 	GNU/GPL
Group: 		System/Security
URL: 		http://www.clamav.net
Source: 	%{name}-%{version}.tar.gz
Source1: 	%{name}.init
Source2: 	%{name}-milter.init
Source3:	%{name}-clamd.conf
Source4:	%{name}-freshclam.conf

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}

Requires:	clamd
Requires:       clamav-db

# Requires for rpm lzma compression
Requires:	rpm >= 4.4.2.3-2

BuildRequires:	bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  gmp-devel
BuildRequires:  libidn-devel 
BuildRequires:  zlib-devel

# milter needs sendmail which we don't have atm.
# so disabling it for now
%define _without_milter 1

%description
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of
this software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon, a
command line scanner, and a tool for automatic updating via Internet.

The programs are based on a shared library distributed with the Clam
AntiVirus package, which you can use with your own software. Most
importantly, the virus database is kept up to date

%package -n	clamd
Summary: 	The Clam AntiVirus Daemon
Group: 		System/Daemons
Requires: 	clamav = %{version}-%{release}
Requires:	rpm >= 4.4.2.3-2

%description -n clamd
The Clam AntiVirus Daemon

%package	milter
Summary: 	The Clam AntiVirus sendmail-milter Daemon
Group: 		System/Daemons
Requires: 	clamd = %{version}-%{release}
Requires: 	sendmail
Requires:	rpm >= 4.4.2.3-2

%description	milter
The Clam AntiVirus sendmail-milter Daemon

%package	db
Summary: 	Virus database for %{name}
Group: 		Databases
Requires: 	clamav = %{version}-%{release}
Requires:	rpm >= 4.4.2.3-2

%description	db
The actual virus database for %{name}

%package	devel
Summary: 	Header files, libraries and development documentation for %{name}
Group: 		Development/Libraries
Requires: 	clamav = %{version}-%{release}
Requires:	rpm >= 4.4.2.3-2

%description	devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

## setup config files

%{__cat} <<EOF >clamd.logrotate
%{_localstatedir}/log/clamav/clamd.log {
	missingok
	notifempty
	create 644 clamav clamav
	postrotate
		killall -HUP clamd 2>/dev/null || :
	endscript
}
EOF

%{__cat} <<EOF >freshclam.logrotate
%{_localstatedir}/log/clamav/freshclam.log {
	missingok
	notifempty
	create 644 clamav clamav
}
EOF

%{__cat} <<'EOF' >freshclam.cron
#!/bin/sh

### A simple update script for the clamav virus database.
### This could as well be replaced by a SysV script.

### fix log file if needed
LOG_FILE="%{_localstatedir}/log/clamav/freshclam.log"
if [ ! -f "$LOG_FILE" ]; then
    touch "$LOG_FILE"
    chmod 644 "$LOG_FILE"
    chown clamav.clamav "$LOG_FILE"
fi

%{_bindir}/freshclam \
    --quiet \
    --datadir="%{_localstatedir}/clamav" \
    --log="$LOG_FILE" \
    --log-verbose \
    --daemon-notify="%{_sysconfdir}/clamd.conf"
EOF

%{__cat} <<EOF >clamav-milter.sysconfig
### Simple config file for clamav-milter, you should
### read the documentation and tweak it as you wish.

CLAMAV_FLAGS="
	--config-file=%{_sysconfdir}/clamd.conf
	--max-children=10
	--force-scan
	--quiet
	--dont-log-clean
	--noreject
	-obl local:%{_localstatedir}/clamav/clmilter.socket
"
EOF

%build
%configure  \
        --program-prefix="%{?_program_prefix}" \
%{!?_without_milter:--enable-milter} \
        --enable-id-check \
        --with-libcurl \
        --enable-dns \
        --disable-clamav \
        --with-user="clamav" \
        --with-group="clamav" \
        --with-dbdir="%{_localstatedir}/clamav" \
        --disable-zlib-vcheck
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

# install ccux related config files
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%_sysconfdir/clamd.conf
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%_sysconfdir/freshclam.conf

%{__install} -Dp -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/clamd
%{__install} -Dp -m0755 freshclam.cron %{buildroot}%{_sysconfdir}/cron.daily/freshclam
%{__install} -Dp -m0644 freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam
%{__install} -Dp -m0644 clamd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamav

%if %{!?_without_milter:1}0
%{__install} -Dp -m0755 %{SOURCE2} %{buildroot}%{_initrddir}/clamav-milter
%{__install} -Dp -m0644 clamav-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/clamav-milter
%else
%{__rm} %{buildroot}%{_mandir}/man8/clamav-milter.8*
%endif

%{__install} -d -m0755 %{buildroot}%{_localstatedir}/log/clamav/
touch %{buildroot}%{_localstatedir}/log/clamav/freshclam.log
touch %{buildroot}%{_localstatedir}/log/clamav/clamd.log

%{__install} -d -m0755 %{buildroot}%{_localstatedir}/run/clamav/

%pre -n clamd
/usr/sbin/groupadd -g 45 clamav 2>/dev/null || :
/usr/sbin/useradd -u 45 -d /var/clamav -s /sbin/nologin -c "Clam Anti Virus Checker" -g clamav clamav 2>/dev/null || :

%post -n clamd
/sbin/chkconfig --add clamd

%preun -n clamd
if [ $1 -eq 0 ]; then
        /etc/rc.d/init.d/clamd stop &>/dev/null || :
        /sbin/chkconfig --del clamd
fi

%postun -n clamd
/sbin/service clamd condrestart &>/dev/null || :

%post milter
/sbin/chkconfig --add clamav-milter

%preun milter
if [ $1 -eq 0 ]; then
        /sbin/service clamav-milter stop &>/dev/null || :
        /sbin/chkconfig --del clamav-milter
fi

%postun milter
/sbin/service clamav-milter condrestart &>/dev/null || :

%pre db
/usr/sbin/groupadd -g 45 clamav 2>/dev/null || :
/usr/sbin/useradd -u 45 -d /var/clamav -s /sbin/nologin -c "Clam Anti Virus Checker" -g clamav clamav 2>/dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog COPYING FAQ INSTALL NEWS README test/ 
%doc docs/*.pdf etc/freshclam.conf
%doc %_mandir/man1/sigtool.1*
%doc %_mandir/man1/clamscan.1*
%doc %_mandir/man1/freshclam.1*
%doc %_mandir/man1/clamconf.1*
%doc %_mandir/man5/freshclam.conf.5*
%config(noreplace) %_sysconfdir/freshclam.conf
%_bindir/clamscan
%_bindir/freshclam
%_bindir/sigtool
%_bindir/clamconf
%_libdir/libclamav.so.*
%_libdir/libclamunrar.so.*
%_libdir/libclamunrar_iface.so.*

%files -n clamd
%defattr(-, root, root, 0755)
%doc contrib/clamdwatch/ etc/clamd.conf
%doc %_mandir/man1/clamdscan.1*
%doc %_mandir/man5/clamd.conf.5*
%doc %_mandir/man8/clamd.8*
%config(noreplace) %_sysconfdir/clamd.conf
%config(noreplace) %_sysconfdir/logrotate.d/clamav
%config %{_initrddir}/clamd
%_sbindir/clamd
%_bindir/clamdscan

%defattr(0644, clamav, clamav, 0755)
%_localstatedir/run/clamav/
%dir %_localstatedir/clamav/
%_localstatedir/log/clamav/clamd.log

%if %{!?_without_milter:1}0
%files milter
%defattr(-, root, root, 0755)
%doc clamav-milter/INSTALL
%doc %_mandir/man8/clamav-milter.8*
%config(noreplace) %_sysconfdir/sysconfig/clamav-milter
%config %_initrddir/clamav-milter
%_sbindir/clamav-milter
%endif

%files db
%defattr(-,root,root,0755)
%config(noreplace) %_sysconfdir/cron.daily/freshclam
%config(noreplace) %_sysconfdir/logrotate.d/freshclam
%defattr(0644,clamav,clamav,0755)
%config(noreplace) %verify(user group mode) %_localstatedir/clamav/
%_localstatedir/log/clamav/freshclam.log

%files devel
%defattr(-, root, root, 0755)
%_bindir/clamav-config
%_includedir/clamav.h
%_libdir/pkgconfig/libclamav.pc
%_libdir/libclamav.a
%_libdir/libclamav.la
%_libdir/libclamav.so
%_libdir/libclamunrar.a
%_libdir/libclamunrar.la
%_libdir/libclamunrar.so
%_libdir/libclamunrar_iface.a
%_libdir/libclamunrar_iface.la
%_libdir/libclamunrar_iface.so

%changelog
* Thu Jun 12 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.1-1
- Version update
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.93-3
- removed patch
- using seperatre .conf files for clamd and freshclam
* Sat Apr 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.93-2
- fixed systemstart failure of package
* Fri Apr 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.93-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.91.2-2
- moved clamav-db group, cleaned init script
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.91.2-1
- Version update
- cleaned specfile, moved clamd to better package group
* Mon Apr 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.90.2-1
- Version update
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.90.1-1
- Version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.90-1
- Version update
* Sat Feb 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.88.7-1
- initial release
